wget_iri_st(3)

NAME
wget_iri_st

SYNOPSIS

#include <wget.h>

  Data Fields
const char * uri
const char * display
const char * userinfo
const char * password
const char * host
const char * path
const char * query
const char * fragment
const char * connection_part
size_t dirlen
size_t msize
size of memory to hold the parsed URI, it contains 0 bytes
uint16_t port
Port number.
wget_iri_scheme scheme
URI/IRI scheme (http or https).
bool port_given: 1
If set, port was explicitly given.
bool uri_allocated: 1
If set, free uri in iri_free()
bool host_allocated: 1
If set, free host in iri_free()
bool path_allocated: 1
If set, free path in iri_free()
bool query_allocated: 1
If set, free query in iri_free()
bool fragment_allocated: 1
If set, free fragment in iri_free()
bool is_ip_address: 1
If set, the hostname part is a literal IPv4/IPv6 address.

Detailed Description

Internal representation of a URI/IRI.

Field Documentation

  const char* wget_iri_st::uri
Pointer to the original URI string, unescaped and converted to UTF-8.

  const char* wget_iri_st::display
Display part, if present.

  const char* wget_iri_st::userinfo
Username, if present.

  const char* wget_iri_st::password
Password, if present.

  const char* wget_iri_st::host
Hostname (or literal IP address). Lowercase and unescaped.

  const char* wget_iri_st::path
Path, if present. Unescaped.

  const char* wget_iri_st::query
Query part, if present. Unescaped.

  const char* wget_iri_st::fragment
Fragment part, if present. Unescaped.

  const char* wget_iri_st::connection_part
Connection part. This is not specified by the spec, it's just a helper.

The connection part is formed by the scheme, the hostname and the port together. Example:

https://www.example.com:8080

  size_t wget_iri_st::dirlen
Length of the directory part in path.

This is the length from the beginning up to the last slash (/).

Author

Generated automatically by Doxygen for wget2 from the source code.